Skip to main content
GET
/
v1
/
stocks
/
financial-metrics
Get Financial Metrics Time Series Data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/financial-metrics \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "metric": "REVENUE_TTM",
      "symbol": "AAPL",
      "values": [
        {
          "fiscal_year": "2024",
          "observed_at": 1672531200,
          "period": "Q4",
          "value": 385000000000.12
        }
      ]
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

metric
enum<string>
required

Metric type (enum, required)

Available options:
REVENUE_TTM,
NET_INCOME_TTM,
EPS_TTM,
ROE_TTM,
ROA_TTM,
ROIC_TTM,
GROSS_MARGIN_MRQ,
OPERATING_MARGIN_MRQ,
NET_MARGIN_MRQ,
FCF_MARGIN_MRQ,
RD_TO_SALES_TTM,
DEBT_TO_EQUITY_MRQ,
DEBT_TO_ASSETS_MRQ,
CURRENT_RATIO_MRQ,
QUICK_RATIO_MRQ,
NET_WORKING_CAPITAL_MRQ,
REVENUE_GROWTH_QOQ,
REVENUE_GROWTH_YOY_QUARTERLY,
REVENUE_GROWTH_YOY_TTM,
REVENUE_GROWTH_YOY_ANNUAL,
EPS_GROWTH_QOQ,
EPS_GROWTH_YOY_QUARTERLY,
EPS_GROWTH_YOY_TTM,
EPS_GROWTH_YOY_ANNUAL,
FCF_GROWTH_QOQ,
FCF_GROWTH_YOY_QUARTERLY,
FCF_GROWTH_YOY_TTM,
FCF_GROWTH_YOY_ANNUAL
symbol
string

Stock symbol (optional, e.g., AAPL)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

Response

Successfully retrieved financial metrics data

data
object[]
error
object
pagination
any
request_id
string
success
boolean